

Limit the number of legacy ptys to 256.  pty_line_name() isn't capable of
generating more than 256 unique names.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/char/Kconfig~limit-CONFIG_LEGACY_PTY_COUNT drivers/char/Kconfig
--- 25/drivers/char/Kconfig~limit-CONFIG_LEGACY_PTY_COUNT	2004-11-08 21:22:46.843719848 -0800
+++ 25-akpm/drivers/char/Kconfig	2004-11-08 21:23:23.496147832 -0800
@@ -478,6 +478,7 @@ config LEGACY_PTYS
 config LEGACY_PTY_COUNT
 	int "Maximum number of legacy PTY in use"
 	depends on LEGACY_PTYS
+	range 1 256
 	default "256"
 	---help---
 	  The maximum number of legacy PTYs that can be used at any one time.
_
